<?

##-----------------------------------------------------------------##
##                                                                 ##
##                                                                 ##
##  Copyright Stephen Heylings 2003. All rights reserved. No part ##
## of this or any of the attached documents shall be               ##
## reproduced/stored in any way whatsoever without written         ##
## permission from the Copyright holder.                           ##
##   The Copyright holder holds no responsibility for errors or    ##
## omissions. No liability is assumed in any way for damages       ##
## resulting from the use of this document/program.                ##
##                                                                 ##
## Have a nice day.                                                ##
##                                                                 ##
##                                                                 ##
##-----------------------------------------------------------------##


	#include html form function
	include ('printform.inc.php');
	
	#set global vars
	$filename = 'banners.txt';
	$thisfile = $_SERVER['PHP_SELF'];
	
  if (is_writable($filename))
  {
    #open file to read
    if (!$handle = fopen($filename, 'r+'))
    {
    	#failed to open file
    	exit;
    }#endif
        
    $contents = fread ($handle, filesize ($filename));
    $lines = split ("~",$contents);
    $blankline = array_pop ($lines);
        
    fclose($handle);
  }#endif
  else
  {
    #file not writable
    exit;
  }#endelse
  
  #output banner
  if (isset($_GET['method']))
  {
  	if($_GET['method']=="banner")
  	{
  		$banner = intval(rand(0,count($lines)-1));
			
			
			$val = $lines[$banner];
	   	$parts = split("", $val);
	
			$p_pos = $parts['4'];
	 		$p_link = $parts['3'];
	 		$p_src = $parts['0'];
	 		$p_alt = $parts['1'];
	 		$p_text = $parts['2'];
			
			#print html
	   	echo "
	   	<DIV ALIGN=$p_pos><A HREF='$p_link'><IMG SRC='$p_src' ALT='$p_alt'></A></DIV>
			<DIV ALIGN=$p_pos><A HREF='$p_link'>$p_text</A></DIV>
			<DIV ALIGN=$p_pos><A HREF='http://www.cosmicphp.com'>CosmicPHP, for all your PHP needs</A></DIV>
			";
		}#endif
		exit;
  }#endif
  
	#admin function calls
	if (isset($_POST['method']))
	{
		#set variable to be used by all functions
		if (isset($_POST['src']))
		{
			$content = "";
			$newcontent = $_POST['src']."".
										$_POST['alt']."".
										$_POST['text']."".
										$_POST['link']."".
										$_POST['pos'];
		}
		
		$message="";
		#call appropriate function to amend data
	  switch($_POST['method'])
	  {
	    case "add":
	      $message=addbanner();
	    break;

	    case "update":
	      $message=updatebanner();
	    break;

	    case "remove":
	      $message=removebanner();
	    break;

	    case "admin":
				if(checkpass()==true)
				{
					printform();
				}
				else
				{
					login("Incorrect password, please try again");
				}
	    break;

	    default:
	    	login();
	  }#endswitch
		
		if (($_POST['method']=="add")||($_POST['method']=="update")||($_POST['method']=="remove"))
		{

			#blank file and open for write access
			if (!$handle = fopen($filename, 'w+'))
			{
				#failed to open file
				exit;
			}#endif

			#build-up data to output to file
			foreach($lines as $line)
			{
				$content = $content.$line."~";
			}#endforeach

			#Write data to file
			if (!fwrite($handle, $content))
			{
				#failed to write to file
				printform("An error occured whilst updating the banners.");
				exit;
			}#endif
			
			#close file handle
			fclose($handle);

		printform($message);
		
		}#endif
		
		
	}#endif
	#else no method set so display form as defult method
	else
	{
		login();
	}#endelse
	

	function addbanner()
	{
		global $lines, $newcontent;
		$lines[count($lines)] = $newcontent;
		return "Banner sucessfully added";
	}#endfunction

	function updatebanner()
	{
		global $lines, $newcontent;
		$lines[$_POST['key']] = $newcontent;
		return "Banner sucessfully updated";
	}#endfunction

	function removebanner()
	{
		global $lines;
		array_splice ($lines, $_POST['key'], 1);
		return "Banner sucessfully removed";
	}#endfunction


?>